org.h2gis.functions.spatial.predicates

## Class ST_OrderingEquals

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.predicates.ST_OrderingEquals

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_OrderingEquals
    extends org.h2gis.api.DeterministicScalarFunction

ST_OrderingEquals compares two geometries and t (TRUE) if the geometries are equal and the coordinates are in the same order; otherwise it returns f (FALSE). This method implements the SQL/MM specification: SQL-MM 3: 5.1.43

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_OrderingEquals()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static boolean` `orderingEquals(org.h2.value.ValueGeometry geomA, org.h2.value.ValueGeometry geomB)` Returns true if the given geometries represent the same geometry and points are in the same directional order.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_OrderingEquals

    public ST_OrderingEquals()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### orderingEquals

    public static boolean orderingEquals(org.h2.value.ValueGeometry geomA,
                                         org.h2.value.ValueGeometry geomB)

Returns true if the given geometries represent the same geometry and points are in the same directional order.

Parameters:
  `geomA` -
  `geomB` -
Returns: